package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabAccessFeedback;

import java.util.List;

/**
 * <p>
 * 接入反馈表 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-07
 */
public interface ITabAccessFeedbackService extends IService<TabAccessFeedback> {

    List<TabAccessFeedback> getTabAccessFeedbackList(TabAccessFeedback tabAccessFeedback);

    AjaxResult getTabAccessFeedbackById(Long id) throws NoSuchMethodException;

    AjaxResult insertTabAccessFeedback(List<TabAccessFeedback> tabAccessFeedback);

    AjaxResult updateTabAccessFeedbackById(List<TabAccessFeedback> tabAccessFeedback) throws NoSuchMethodException;

    AjaxResult falseDeleteTabAccessFeedbackById(Long id) throws NoSuchMethodException;

    AjaxResult getTabAccessFeedbackListByAccessOnlyId(Long accessOnlyId);

    AjaxResult deleteTabAccessFeedbackById(List<Long> accessOnlyIds);


}
